Packages - Bug #2859

[vicious]is not found by [awesome]: Lua-5.3/5.4 mismatch
2020-08-06 08:26 AM - ventosus

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

vicious is newly linked against Lua-5.4 and resides in /usr/share/lua/5.4/vicious/*

However, that renders it completely useless, as it is not found by awesome, which is linked to Lua-5.3 and searches for vicious in
/usr/share/lua/5.3/vicious/*

History

#1 - 2020-08-06 02:54 PM - bill-auger
what are the steps required to reproduce this problem?
i installed awesome, and it seems to be working as expected - i

then installed the 'vicious' package; but i have no idea how to
use it - how would i know if vicious is working or not working?

#2 - 2020-08-06 03:02 PM - ventosus
Well, you actually have to use vicious in your awesome config (which is its sole purpose):
This should be enough to trigger the issue:

~/.config/awesome/rc.lua

#3 - 2020-08-06 03:13 PM - ventosus

There are 2 possible fixes for this issue, imho.

1) link awesome against lua-5.4
2) build vicious against lua-5.3, e.g. create a lua53-vicious package

#4 - 2020-08-06 05:05 PM - bill-auger
- Status changed from unconfirmed to forwarded upstream
those are both arch packages though; and i confirmed that the same bug is present in arch - it needs to be fixed by the arch maintainers

https://bugs.archlinux.org/task/67511
https://bugs.archlinux.org/task/67499

#5 - 2020-08-07 07:54 AM - ventosus

thanks, this has been fixed and works again.

#6 - 2020-08-07 02:01 PM - bill-auger

- Assignee set to bill-auger

#7 - 2020-08-07 02:01 PM - bill-auger

- Status changed from forwarded upstream to fixed
